## dzl-settings-flag-action

dzl-settings-flag-action

## Functions

GAction * | dzl_settings_flag_action_new ()

## Properties

char * | flag-nick | Read / Write / Construct Only
char * | schema-id | Read / Write / Construct Only
char * | schema-key | Read / Write

## Types and Values

#define | DZL_TYPE_SETTINGS_FLAG_ACTION
| DzlSettingsFlagAction

## Object Hierarchy

        GObject
        ╰── DzlSettingsFlagAction

## Implemented Interfaces

DzlSettingsFlagAction implements GAction.

## Description

## Functions

### dzl_settings_flag_action_new ()

    GAction *
    dzl_settings_flag_action_new (const gchar *schema_id,
                                  const gchar *schema_key,
                                  const gchar *flag_nick);

This creates a new action that can be used to toggle an individual flag in a GSettings key which is of a flags type.

#### Returns

A new GAction.

[transfer full]

## Types and Values

### DZL_TYPE_SETTINGS_FLAG_ACTION

    #define DZL_TYPE_SETTINGS_FLAG_ACTION (dzl_settings_flag_action_get_type())

### DzlSettingsFlagAction

    typedef struct _DzlSettingsFlagAction DzlSettingsFlagAction;

## Property Details

### The `“flag-nick”` property

      “flag-nick”                char *

Flag Nick.

Owner: DzlSettingsFlagAction

Flags: Read / Write / Construct Only

Default value: NULL

### The `“schema-id”` property

      “schema-id”                char *

Schema Id.

Owner: DzlSettingsFlagAction

Flags: Read / Write / Construct Only

Default value: NULL

### The `“schema-key”` property

      “schema-key”               char *

Schema Key.

Owner: DzlSettingsFlagAction

Flags: Read / Write

Default value: NULL